Search NASA⌕ Search

SEARCH · Search NASA

Results for “Upwinding”

Search indexed NASA NTRS and DOE OSTI research on propulsion, heat transfer, battery materials and energy systems. Follow report and document links to the original sources.

Quote a phrase for an exact phrase match. Source license links do not imply unrestricted reuse.

At least 73 records · Page 4

Accurate upwind-monotone (nonoscillatory) methods for conservation laws

The well known MUSCL scheme of Van Leer is constructed using a piecewise linear approximation. The MUSCL scheme is second order accurate at the smooth part of the solution except at extrema where the accuracy degenerates to first order due to the monotonicity constraint. To construct accurate schemes which are free from oscillations, the author introduces the concept of upwind monotonicity. Several classes of schemes, which are upwind monotone and of uniform second or third order accuracy are then presented. Results for advection with constant speed are shown. It is also shown that the new scheme compares favorably with state of the art methods.

Huynh, Hung T.↗

Upwind schemes and bifurcating solutions in real gas computations

The area of high speed flow is seeing a renewed interest due to advanced propulsion concepts such as the National Aerospace Plane (NASP), Space Shuttle, and future civil transport concepts. Upwind schemes to solve such flows have become increasingly popular in the last decade due to their excellent shock capturing properties. In the first part of this paper the authors present the extension of the Osher scheme to equilibrium and non-equilibrium gases. For simplicity, the source terms are treated explicitly. Computations based on the above scheme are presented to demonstrate the feasibility, accuracy and efficiency of the proposed scheme. One of the test problems is a Chapman-Jouguet detonation problem for which numerical solutions have been known to bifurcate into spurious weak detonation solutions on coarse grids. Results indicate that the numerical solution obtained depends both on the upwinding scheme used and the limiter employed to obtain second order accuracy. For example, the Osher scheme gives the correct CJ solution when the super-bee limiter is used, but gives the spurious solution when the Van Leer limiter is used. With the Roe scheme the spurious solution is obtained for all limiters.

Suresh, Ambady↗

Implicit upwind-Euler solution algorithms for unstructured-grid applications

The development of implicit upwind algorithms for the solution of the three-dimensional, time-dependent Euler equations on unstructured tetrahedral meshes is described. The implicit temporal discretization involves either a two-sweep Gauss-Seide relaxation procedure, a two-sweep Point-Jacobi relaxation procedure, or a single-sweep Point-Implicit procedure; the upwind spatial discretization is based on the flux-difference splitting of Roe. Detailed descriptions of the three implicit solution algorithms are given, and calculations for the Boeing 747 transport configuration are presented to demonstrate the algorithms. Advantages and disadvantages of the implicit algorithms are discussed. A steady-state solution for the 747 configuration, obtained at transonic flow conditions using a mesh of over 100,000 cells, required less than one hour of CPU time on a Cray-2 computer, thus demonstrating the speed and robustness of the general capability.

Batina, John T.↗

Investigation of upwind, multigrid, multiblock numerical schemes for three dimensional flows. Volume 1: Runge-Kutta methods for a thin layer Navier-Stokes solver

A state-of-the-art computer code has been developed that incorporates a modified Runge-Kutta time integration scheme, upwind numerical techniques, multigrid acceleration, and multi-block capabilities (RUMM). A three-dimensional thin-layer formulation of the Navier-Stokes equations is employed. For turbulent flow cases, the Baldwin-Lomax algebraic turbulence model is used. Two different upwind techniques are available: van Leer's flux-vector splitting and Roe's flux-difference splitting. Full approximation multi-grid plus implicit residual and corrector smoothing were implemented to enhance the rate of convergence. Multi-block capabilities were developed to provide geometric flexibility. This feature allows the developed computer code to accommodate any grid topology or grid configuration with multiple topologies. The results shown in this dissertation were chosen to validate the computer code and display its geometric flexibility, which is provided by the multi-block structure.

Cannizzaro, Frank E.↗

Implicit upwind solution algorithms for three-dimensional unstructured meshes

The development of implicit upwind algorithms for the solution of the three-dimensional, time-dependent Euler equations on unstructured tetrahedral meshes is described. The implicit temporal discretization involves either a two-sweep Gauss-Seide relaxation procedure, a two-sweep Point-Jacobi relaxation procedure, or a single-sweep Point-Implicit procedure; the upwind spatial discretization is based on the flux-difference splitting of Roe. Detailed descriptions of the three implicit solution algorithms are given, and calculations for the Boeing 747 transport configuration are presented to demonstrate the algorithms. Advantages and disadvantages of the implicit algorithms are discussed. A steady-state solution for the 747 configuration, obtained at transonic flow conditions using a mesh of over 100,000 cells, required less than one hour of CPU time on a Cray-2 computer, thus demonstrating the speed and robustness of the general capability.

Batina, John T.↗

Computational results for 2-D and 3-D ramp flows with an upwind Navier-Stokes solver

An implicit, finite-difference, upwind, full Navier-Stokes solver was applied to supersonic/hypersonic flows over two-dimensional ramps and three-dimensional obstacle. Some of the computed results are presented. The numerical scheme used in the study is an implicit, spatially second order accurate, upwind, LU-ADI scheme based on Roe's approximate Reimann solver with MUSCL differencing of Van Leer. An algebraic grid generation scheme based on generalized interpolation scheme was used in generating the grids for the various 2-D and 3-D problems.

Venkatapathy, Ethiraj↗

Multigrid properties of upwind-biased data reconstructions

The multigrid properties of two data reconstruction methods used for achieving second-order spatial accuracy when solving the two-dimensional Euler equations are examined. The data reconstruction methods are used with an implicit upwind algorithm which uses linearized backward-Euler time-differencing. The solution of the resulting linear system is performed by an iterative procedure. In the present study only regular quadrilateral grids are considered, so a red-black Gauss-Seidel iteration is used. Although the Jacobian is approximated by first-order upwind extrapolation, two alternative data reconstruction techniques for the flux integral that yield higher-order spatial accuracy at steady state are examined. The first method, probably most popular for structured quadrilateral grids, is based on estimating the cell gradients using one-dimensional reconstruction along curvilinear coordinates. The second method is based on Green's theorem. Analysis and numerical results for the two dimensional Euler equations show that data reconstruction based on Green's theorem has superior multigrid properties as compared to the one-dimensional data reconstruction method.

Warren, Gary P.↗

Analysis and design of numerical schemes for gas dynamics 1: Artificial diffusion, upwind biasing, limiters and their effect on accuracy and multigrid convergence

The theory of non-oscillatory scalar schemes is developed in this paper in terms of the local extremum diminishing (LED) principle that maxima should not increase and minima should not decrease. This principle can be used for multi-dimensional problems on both structured and unstructured meshes, while it is equivalent to the total variation diminishing (TVD) principle for one-dimensional problems. A new formulation of symmetric limited positive (SLIP) schemes is presented, which can be generalized to produce schemes with arbitrary high order of accuracy in regions where the solution contains no extrema, and which can also be implemented on multi-dimensional unstructured meshes. Systems of equations lead to waves traveling with distinct speeds and possibly in opposite directions. Alternative treatments using characteristic splitting and scalar diffusive fluxes are examined, together with modification of the scalar diffusion through the addition of pressure differences to the momentum equations to produce full upwinding in supersonic flow. This convective upwind and split pressure (CUSP) scheme exhibits very rapid convergence in multigrid calculations of transonic flow, and provides excellent shock resolution at very high Mach numbers.

Jameson, Antony↗

A comparative study of upwind and MacCormack schemes for CAA benchmark problems

In this study, upwind schemes and MacCormack schemes are evaluated as to their suitability for aeroacoustic applications. The governing equations are cast in a curvilinear coordinate system and discretized using finite volume concepts. A flux splitting procedure is used for the upwind schemes, where the signals crossing the cell faces are grouped into two categories: signals that bring information from outside into the cell, and signals that leave the cell. These signals may be computed in several ways, with the desired spatial and temporal accuracy achieved by choosing appropriate interpolating polynomials. The classical MacCormack schemes employed here are fourth order accurate in time and space. Results for categories 1, 4, and 6 of the workshop's benchmark problems are presented. Comparisons are also made with the exact solutions, where available. The main conclusions of this study are finally presented.

Viswanathan, K.↗

Implicit upwind-Euler solution algorithms for unstructured-grid applications

The development of implicit upwind algorithms for the solution of the three-dimensional, time-dependent Euler equations on unstructured tetrahdral meshes is described. The implicit temporal discretization involves either a two-sweep Gauss-Seidel relaxation procedure, a two-sweep Point-Jacobi relaxation procedure, or a single-sweep Point-Implicit procedure; the upwind spatial discretization is based on the flux-difference splitting of Roe. Detailed descriptions of the three implicit solution algorithms are given, and calculations for the Boeing 747 transport configuration are presented to demonstrate the algorithms. Advantages and disadvantages of the implicit algorithms are discussed. A steady-state solution for the 747 configuration, obtained at transonic flow conditions using s mesh of over 100,000 cells, required less than one hour of CPU time on a Cray-2 computer, thus demonstrating the speed and robustness of the general capability.

Batina, John T.↗

Comments on the Diffusive Behavior of Two Upwind Schemes

The diffusive characteristics of two upwind schemes, multi-dimensional fluctuation splitting and locally one-dimensional finite volume, are compared for scalar advection-diffusion problems. Algorithms for the two schemes are developed for node-based data representation on median-dual meshes associated with unstructured triangulations in two spatial dimensions. Four model equations are considered: linear advection, non-linear advection, diffusion, and advection-diffusion. Modular coding is employed to isolate the effects of the two approaches for upwind flux evaluation, allowing for head-to-head accuracy and efficiency comparisons. Both the stability of compressive limiters and the amount of artificial diffusion generated by the schemes is found to be grid-orientation dependent, with the fluctuation splitting scheme producing less artificial diffusion than the finite volume scheme. Convergence rates are compared for the combined advection-diffusion problem, with a speedup of 2.5 seen for fluctuation splitting versus finite volume when solved on the same mesh. However, accurate solutions to problems with small diffusion coefficients can be achieved on coarser meshes using fluctuation splitting rather than finite volume, so that when comparing convergence rates to reach a given accuracy, fluctuation splitting shows a speedup of 29 over finite volume.

Wood, William A.↗

2-D/Axisymmetric Formulation of Multi-dimensional Upwind Scheme

A multi-dimensional upwind discretization of the two-dimensional/axisymmetric Navier-Stokes equations is detailed for unstructured meshes. The algorithm is an extension of the fluctuation splitting scheme of Sidilkover. Boundary conditions are implemented weakly so that all nodes are updated using the base scheme, and eigen-value limiting is incorporated to suppress expansion shocks. Test cases for Mach numbers ranging from 0.1-17 are considered, with results compared against an unstructured upwind finite volume scheme. The fluctuation splitting inviscid distribution requires fewer operations than the finite volume routine, and is seen to produce less artificial dissipation, leading to generally improved solution accuracy.

Wood, William A.↗

High-Order Semi-Discrete Central-Upwind Schemes for Multi-Dimensional Hamilton-Jacobi Equations

We present the first fifth order, semi-discrete central upwind method for approximating solutions of multi-dimensional Hamilton-Jacobi equations. Unlike most of the commonly used high order upwind schemes, our scheme is formulated as a Godunov-type scheme. The scheme is based on the fluxes of Kurganov-Tadmor and Kurganov-Tadmor-Petrova, and is derived for an arbitrary number of space dimensions. A theorem establishing the monotonicity of these fluxes is provided. The spacial discretization is based on a weighted essentially non-oscillatory reconstruction of the derivative. The accuracy and stability properties of our scheme are demonstrated in a variety of examples. A comparison between our method and other fifth-order schemes for Hamilton-Jacobi equations shows that our method exhibits smaller errors without any increase in the complexity of the computations.

Bryson, Steve↗

High-Order Semi-Discrete Central-Upwind Schemes for Multi-Dimensional Hamilton-Jacobi Equations

We present high-order semi-discrete central-upwind numerical schemes for approximating solutions of multi-dimensional Hamilton-Jacobi (HJ) equations. This scheme is based on the use of fifth-order central interpolants like those developed in [1], in fluxes presented in [3]. These interpolants use the weighted essentially nonoscillatory (WENO) approach to avoid spurious oscillations near singularities, and become "central-upwind" in the semi-discrete limit. This scheme provides numerical approximations whose error is as much as an order of magnitude smaller than those in previous WENO-based fifth-order methods [2, 1]. Thee results are discussed via examples in one, two and three dimensions. We also pregnant explicit N-dimensional formulas for the fluxes, discuss their monotonicity and tl!e connection between this method and that in [2].

Bryson, Steve↗

Diffusion Characteristics of Upwind Schemes on Unstructured Triangulations

The diffusive characteristics of two upwind schemes, multi-dimensional fluctuation splitting and dimensionally-split finite volume, are compared for scalar advection-diffusion problems. Algorithms for the two schemes are developed for node-based data representation on median-dual meshes associated with unstructured triangulations in two spatial dimensions. Four model equations are considered: linear advection, non-linear advection, diffusion, and advection-diffusion. Modular coding is employed to isolate the effects of the two approaches for upwind flux evaluation, allowing for head-to-head accuracy and efficiency comparisons. Both the stability of compressive limiters and the amount of artificial diffusion generated by the schemes is found to be grid-orientation dependent, with the fluctuation splitting scheme producing less artificial diffusion than the dimensionally-split finite volume scheme. Convergence rates are compared for the combined advection-diffusion problem, with a speedup of 2-3 seen for fluctuation splitting versus finite volume when solved on the same mesh. However, accurate solutions to problems with small diffusion coefficients can be achieved on coarser meshes using fluctuation splitting rather than finite volume, so that when comparing convergence rates to reach a given accuracy, fluctuation splitting shows a 20-25 speedup over finite volume.

Wood, William A.↗

Turbulence Intensity at Inlet of 80- by 120-Foot Wind Tunnel Caused by Upwind Blockage

In order to estimate the magnitude of turbulence in the National Full-Scale Aerodynamics Complex (NFAC) 80- by 120-Foot Wind Tunnel (80 x 120) caused by buildings located upwind from the 80 x 120 inlet, a 150th-scale study was performed that utilized a nominal two-dimensional blockage placed ahead of the inlet. The distance of the blockage ahead of the inlet was varied. This report describes velocity measurements made in the plane of the 80 x 120 model inlet for the case of zero ambient (atmospheric) wind.

80- by 120-Foot Wind Tunnel↗

Investigation of Turbulence Generated by Upwind Blockages at the Inlet of a 1/50th-Scale Model of the 80- by 120-Foot Wind Tunnel

A 1/50th scale model of the 80- by 120-Foot Wind Tunnel (hereafter referred to as the 80x120) was utilized to determine the magnitude of turbulence caused by buildings located upstream of the wind tunnel inlet. The 1/50th scale models of existing and proposed buildings were constructed to act as blockage for the test. Various inlet locations were sampled for turbulence intensity levels under a variety of blockage conditions including simple three-dimensional rectangular bodies creating quasi two-dimensional physics along the tunnel centerline, existing building structures in the vicinity of the full-scale wind tunnel inlet flow field, and proposed building structures that may someday be constructed at NASA Ames Research Center upwind of the inlet. Therefore, the testing performed and reported in this report can be considered representative of quiescent atmospheric conditions that exist when operating the full-scale 80x120 at night. At quiescent atmospheric conditions there is a measurable increase in turbulence intensity produced by upstream blockages. The blockages examined produced an average turbulence intensity level between 2% and 5% when measured at the inlet. Previous research has shown that the flow control of the 80x120 is capable of reducing this turbulence to less than 0.5% when measured in the test section. Additional research will need to be conducted to determine the influence of atmospheric wind on relative turbulence intensity at the inlet. These results show that for future buildings lying more than 1,000 ft upstream of the full-scale 80x120 inlet, these new buildings will have a negligible effect on the flow quality of the air entering the 80x120 test section under strictly quiescent atmospheric conditions. The Googleplex buildings modeled and tested in this experiment are located approximately 2,450 ft upstream and, as seen in this test campaign, have a negligible influence on the turbulence levels measured at the inlet under quiescent atmospheric conditions.

80- by 120-Foot Wind Tunnel↗

Fatigue load spectra for upwind and downwind rotors

Effect of both alternating and mean load on the fatigue life of an upwind and downwind MOD-2 wind turbine system is presented. It was shown that the fatigue damage varies as the product of the stress range cubed and the maximum stress. Hence, the alternating flapwise load caused by tower shadow and wind gradient is an important factor in determining rotor blade life.

Andrews, J. S.↗